from pdf_split.processor import PDFProcessor
import tools.utils as utils
from tools.pdf_split.mysql_store import MysqlStore

@app.route('/standards')
def show_standards():
    store = MysqlStore()
    standards = store.get_all_standards()
    records = store.get_all_pdf_records()
    return render_template('standards.html', standards=standards, records=records)
def main():
    log = utils.get_logger()
    #"""PDF拆分工具的主入口函数"""
    #log.info("PDF拆分工具已启动")
    #PDFProcessor.split("01")
    """图片解析成文本入口函数"""
    log.info("图片解析成文本工具已启动")
    PDFProcessor.process_image_to_txt("01")



if __name__ == '__main__':
    main()